<template>
  <div class="SdkItem">
    <div class="icon">
      <ImageShow :src="sdk.logoUrl" alt="" />
    </div>
    <div class="title">{{ sdk.productName }}</div>
    <div class="des limitRow2">
      {{ sdk.description }}
    </div>
    <div class="button" @click="buyProduct(sdk.productName)">立即试用</div>
  </div>
</template>

<script>
export default {
  props: {
    sdk: {},
  },
  methods: {
    buyProduct(productName) {
      this.$router.push({
        path: "/productDetail",
        query: {
          name: productName,
        },
      });
    },
  },
};
</script>

<style lang="scss" scoped>
.SdkItem {
  width: 302px;
  height: 280px;
  background-color: #fff;
  text-align: center;
  position: relative;
  .icon img {
    margin-top: 20px;
    width: 96px;
  }

  .title {
    margin-top: 20px;
    margin-bottom: 10px;
    font-size: 18px;
    font-weight: 700;
  }

  .des {
    height: 38px;
    margin: 0 20px 30px 20px;
    color: #666666;
    font-size: 14px;
  }

  .button {
    position: absolute;
    left: 0;
    bottom: 10px;
    width: 100%;
    height: 40px;
    box-shadow: 0px 2px 8px rgba(0, 43, 106, 0.12);
    color: #ff6a00;
    font-size: 14px;
    font-weight: 700;
    line-height: 40px;
    cursor: pointer;

    &:hover {
      background: linear-gradient(
        90.78deg,
        #ffba4a 0%,
        #ff6a00 20.33%,
        #ff6a00 79.66%,
        #ffba4a 100%
      );
      color: #fff;
    }
  }
}
</style>